import React, { PureComponent, useState, useEffect } from 'react'
import { Modal, Row, Col, Table, Pagination, Button, Form, Input } from 'antd'
import EnDash from '../EnDash'
import AuthButton from '@/components/AuthButton';

import Style from './style.less'
import HotBlock from '../HotBlock'

export default function BatchInvalid(props) {
  
  return (
    <>
      <Modal footer={null} title="批量作废" visible={props.visible} onCancel={props.onCancel} width={600}>
      <div className={Style.cardBox}>
        <div className={Style.rightBox}>
            <div className={Style.flexBox}>
                <div> 
                <p className={Style.rightItem}>所选XX条数据中，符合作废条件的有YY条，不符合作废条件的有ZZ条。确认将YY条数据作废?</p>
                <div style={{marginTop:'40px'}}><span>作废原因：</span><Input style={{width:"300px"}} placeholder="请填写原因"></Input></div>
                <div style={{marginTop:'40px'}}><p><font color="grey">注意：作废条件详见页面的帮助说明。作废为不可逆操作，请谨慎。</font></p></div>
                </div>
            </div>    
            <div style={{textAlign:"center", marginTop:'40px'}}>
                <AuthButton noRight={null}>
                        <Button type="danger" onClick={() => setHouse(true)} style={{width:'100px'}}>确定</Button>
                </AuthButton>
            </div>
            
         </div>   
       </div>     
      </Modal>
    </>
  );
}
