import React, { useEffect, useState } from 'react'
import { Row, Col } from 'antd'

export default props => {

  const left = props.left || 16
  const right = 24 - left

  return (
    <Row type="flex" align={props.align || "top"} justify="space-around" gutter={props.gutter || 24}>
      <Col span={left}>{props.a}</Col>
      <Col span={right}>{props.b}</Col>
    </Row>
  )
}
