import React, { PureComponent } from 'react'
import { Modal, Row, Col } from 'antd'
import EnDash from '../EnDash'

import Style from './style.less'
import HotBlock from '../HotBlock'


export default function SaleBatchListHelpDoc(props) {
  return (
    <Modal footer={null} title="相关说明" visible={props.visible} onCancel={props.onCancel} width={800}>
      <div className={Style.article}>
        <div className={Style.section}>
          <div>
          1.楼盘多次开盘加推等销售行为，记录为多个“销售批次”，每个批次销售当前楼盘的一批不同房源。同一楼盘不同批次中房源不能重叠。<br/><br/>
          2.发布状态为销售批次的发布状态，若为未发布，则小程序端无法查看房源、预选认筹。<br/><br/>
          3.房源预选功能在预选管理中管理。房源认筹功能在认筹管理中管理。如果看不到左侧相关菜单或功能，请联系管理员配置。</div>
        </div>
        
      </div>
    </Modal>
  );
}
